Index: lemon/bin_heap.h
===================================================================
--- lemon/bin_heap.h	(revision 584)
+++ lemon/bin_heap.h	(revision 559)
@@ -74,7 +74,7 @@
     /// \c PRE_HEAP (<tt>-1</tt>) to any element to be put in the heap.
     enum State {
-      IN_HEAP = 0,    ///< = 0.
-      PRE_HEAP = -1,  ///< = -1.
-      POST_HEAP = -2  ///< = -2.
+      IN_HEAP = 0,    ///< \e
+      PRE_HEAP = -1,  ///< \e
+      POST_HEAP = -2  ///< \e
     };
 
Index: lemon/concepts/graph_components.h
===================================================================
--- lemon/concepts/graph_components.h	(revision 584)
+++ lemon/concepts/graph_components.h	(revision 580)
@@ -603,5 +603,5 @@
       typedef IterableDigraphComponent Digraph;
 
-      /// \name Base Iteration
+      /// \name Base iteration
       ///
       /// This interface provides functions for iteration on digraph items.
@@ -655,5 +655,5 @@
       /// @}
 
-      /// \name Class Based Iteration
+      /// \name Class based iteration
       ///
       /// This interface provides iterator classes for digraph items.
@@ -780,5 +780,5 @@
       typedef IterableGraphComponent Graph;
 
-      /// \name Base Iteration
+      /// \name Base iteration
       ///
       /// This interface provides functions for iteration on edges.
@@ -819,5 +819,5 @@
       /// @}
 
-      /// \name Class Based Iteration
+      /// \name Class based iteration
       ///
       /// This interface provides iterator classes for edges.
Index: lemon/concepts/heap.h
===================================================================
--- lemon/concepts/heap.h	(revision 584)
+++ lemon/concepts/heap.h	(revision 559)
@@ -72,7 +72,7 @@
       /// \c PRE_HEAP (<tt>-1</tt>) to any element to be put in the heap.
       enum State {
-        IN_HEAP = 0,    ///< = 0. The "in heap" state constant.
-        PRE_HEAP = -1,  ///< = -1. The "pre heap" state constant.
-        POST_HEAP = -2  ///< = -2. The "post heap" state constant.
+        IN_HEAP = 0,    ///< The "in heap" state constant.
+        PRE_HEAP = -1,  ///< The "pre heap" state constant.
+        POST_HEAP = -2  ///< The "post heap" state constant.
       };
 
Index: lemon/connectivity.h
===================================================================
--- lemon/connectivity.h	(revision 559)
+++ lemon/connectivity.h	(revision 586)
@@ -33,5 +33,5 @@
 #include <functional>
 
-/// \ingroup connectivity
+/// \ingroup graph_properties
 /// \file
 /// \brief Connectivity algorithms
@@ -41,5 +41,5 @@
 namespace lemon {
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Check whether the given undirected graph is connected.
@@ -64,5 +64,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Count the number of connected components of an undirected graph
@@ -106,9 +106,12 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Find the connected components of an undirected graph
   ///
   /// Find the connected components of an undirected graph.
+  ///
+  /// \image html connected_components.png
+  /// \image latex connected_components.eps "Connected components" width=\textwidth
   ///
   /// \param graph The graph. It must be undirected.
@@ -118,5 +121,4 @@
   /// set continuously.
   /// \return The number of components
-  ///
   template <class Graph, class NodeMap>
   int connectedComponents(const Graph &graph, NodeMap &compMap) {
@@ -228,5 +230,5 @@
 
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Check whether the given directed graph is strongly connected.
@@ -286,5 +288,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Count the strongly connected components of a directed graph
@@ -350,5 +352,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Find the strongly connected components of a directed graph
@@ -362,4 +364,7 @@
   /// a lower.
   ///
+  /// \image html strongly_connected_components.png
+  /// \image latex strongly_connected_components.eps "Strongly connected components" width=\textwidth
+  ///
   /// \param digraph The digraph.
   /// \retval compMap A writable node map. The values will be set from 0 to
@@ -368,5 +373,4 @@
   /// will be set continuously.
   /// \return The number of components
-  ///
   template <typename Digraph, typename NodeMap>
   int stronglyConnectedComponents(const Digraph& digraph, NodeMap& compMap) {
@@ -417,5 +421,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Find the cut arcs of the strongly connected components.
@@ -701,5 +705,5 @@
   int countBiNodeConnectedComponents(const Graph& graph);
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Checks the graph is bi-node-connected.
@@ -716,5 +720,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Count the biconnected components.
@@ -751,5 +755,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Find the bi-node-connected components.
@@ -759,4 +763,7 @@
   /// relation on the undirected edges. Two undirected edge are in relationship
   /// when they are on same circle.
+  ///
+  /// \image html node_biconnected_components.png
+  /// \image latex node_biconnected_components.eps "bi-node-connected components" width=\textwidth
   ///
   /// \param graph The graph.
@@ -766,5 +773,4 @@
   /// will be set continuously.
   /// \return The number of components.
-  ///
   template <typename Graph, typename EdgeMap>
   int biNodeConnectedComponents(const Graph& graph,
@@ -794,5 +800,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Find the bi-node-connected cut nodes.
@@ -1024,5 +1030,5 @@
   int countBiEdgeConnectedComponents(const Graph& graph);
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Checks that the graph is bi-edge-connected.
@@ -1039,5 +1045,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Count the bi-edge-connected components.
@@ -1074,5 +1080,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Find the bi-edge-connected components.
@@ -1082,4 +1088,7 @@
   /// relation on the nodes. Two nodes are in relationship when they are
   /// connected at least two edge-disjoint paths.
+  ///
+  /// \image html edge_biconnected_components.png
+  /// \image latex edge_biconnected_components.eps "bi-edge-connected components" width=\textwidth
   ///
   /// \param graph The graph.
@@ -1089,5 +1098,4 @@
   /// will be set continuously.
   /// \return The number of components.
-  ///
   template <typename Graph, typename NodeMap>
   int biEdgeConnectedComponents(const Graph& graph, NodeMap& compMap) {
@@ -1116,5 +1124,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Find the bi-edge-connected cut edges.
@@ -1180,5 +1188,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Sort the nodes of a DAG into topolgical order.
@@ -1219,5 +1227,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Sort the nodes of a DAG into topolgical order.
@@ -1274,5 +1282,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Check that the given directed graph is a DAG.
@@ -1316,5 +1324,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Check that the given undirected graph is acyclic.
@@ -1350,5 +1358,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Check that the given undirected graph is tree.
@@ -1442,5 +1450,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Check if the given undirected graph is bipartite or not
@@ -1479,5 +1487,5 @@
   }
 
-  /// \ingroup connectivity
+  /// \ingroup graph_properties
   ///
   /// \brief Check if the given undirected graph is bipartite or not
@@ -1487,4 +1495,8 @@
   /// During the execution, the \c partMap will be set as the two
   /// partitions of the graph.
+  ///
+  /// \image html bipartite_partitions.png
+  /// \image latex bipartite_partitions.eps "Bipartite partititions" width=\textwidth
+  ///
   /// \param graph The undirected graph.
   /// \retval partMap A writable bool map of nodes. It will be set as the
Index: lemon/dfs.h
===================================================================
--- lemon/dfs.h	(revision 584)
+++ lemon/dfs.h	(revision 503)
@@ -207,5 +207,5 @@
     typedef Dfs Create;
 
-    ///\name Named Template Parameters
+    ///\name Named template parameters
 
     ///@{
Index: lemon/dijkstra.h
===================================================================
--- lemon/dijkstra.h	(revision 584)
+++ lemon/dijkstra.h	(revision 559)
@@ -287,5 +287,5 @@
     typedef Dijkstra Create;
 
-    ///\name Named Template Parameters
+    ///\name Named template parameters
 
     ///@{
Index: lemon/dimacs.h
===================================================================
--- lemon/dimacs.h	(revision 584)
+++ lemon/dimacs.h	(revision 561)
@@ -38,14 +38,9 @@
   struct DimacsDescriptor
   {
-    ///\brief DIMACS file type enum
-    ///
-    ///DIMACS file type enum.
-    enum Type {
-      NONE,  ///< Undefined type.
-      MIN,   ///< DIMACS file type for minimum cost flow problems.
-      MAX,   ///< DIMACS file type for maximum flow problems.
-      SP,    ///< DIMACS file type for shostest path problems.
-      MAT    ///< DIMACS file type for plain graphs and matching problems.
-    };
+    ///File type enum
+    enum Type
+      {
+        NONE, MIN, MAX, SP, MAT
+      };
     ///The file type
     Type type;
@@ -55,5 +50,5 @@
     int edgeNum;
     int lineShift;
-    ///Constructor. It sets the type to \c NONE.
+    /// Constructor. Sets the type to NONE.
     DimacsDescriptor() : type(NONE) {}
   };
@@ -61,8 +56,8 @@
   ///Discover the type of a DIMACS file
 
-  ///This function starts seeking the beginning of the given file for the
-  ///problem type and size info. 
-  ///The found data is returned in a special struct that can be evaluated
-  ///and passed to the appropriate reader function.
+  ///It starts seeking the beginning of the file for the problem type
+  ///and size info. The found data is returned in a special struct
+  ///that can be evaluated and passed to the appropriate reader
+  ///function.
   DimacsDescriptor dimacsType(std::istream& is)
   {
@@ -102,5 +97,6 @@
 
 
-  /// \brief DIMACS minimum cost flow reader function.
+
+  /// DIMACS minimum cost flow reader function.
   ///
   /// This function reads a minimum cost flow instance from DIMACS format,
@@ -258,5 +254,5 @@
   }
 
-  /// \brief DIMACS maximum flow reader function.
+  /// DIMACS maximum flow reader function.
   ///
   /// This function reads a maximum flow instance from DIMACS format,
@@ -292,5 +288,5 @@
   }
 
-  /// \brief DIMACS shortest path reader function.
+  /// DIMACS shortest path reader function.
   ///
   /// This function reads a shortest path instance from DIMACS format,
@@ -318,5 +314,5 @@
   }
 
-  /// \brief DIMACS capacitated digraph reader function.
+  /// DIMACS capacitated digraph reader function.
   ///
   /// This function reads an arc capacitated digraph instance from
@@ -364,9 +360,9 @@
   }
   
-  /// \brief DIMACS plain (di)graph reader function.
-  ///
-  /// This function reads a plain (di)graph without any designated nodes
-  /// and maps (e.g. a matching instance) from DIMACS format, i.e. from 
-  /// DIMACS files having a line starting with
+  /// DIMACS plain (di)graph reader function.
+  ///
+  /// This function reads a (di)graph without any designated nodes and
+  /// maps from DIMACS format, i.e. from DIMACS files having a line
+  /// starting with
   /// \code
   ///   p mat
Index: lemon/euler.h
===================================================================
--- lemon/euler.h	(revision 559)
+++ lemon/euler.h	(revision 586)
@@ -25,5 +25,5 @@
 #include <list>
 
-/// \ingroup graph_prop
+/// \ingroup graph_properties
 /// \file
 /// \brief Euler tour
@@ -37,5 +37,5 @@
   ///Euler iterator for digraphs.
 
-  /// \ingroup graph_prop
+  /// \ingroup graph_properties
   ///This iterator converts to the \c Arc type of the digraph and using
   ///operator ++, it provides an Euler tour of a \e directed
@@ -124,5 +124,5 @@
   ///Euler iterator for graphs.
 
-  /// \ingroup graph_prop
+  /// \ingroup graph_properties
   ///This iterator converts to the \c Arc (or \c Edge)
   ///type of the digraph and using
@@ -229,5 +229,5 @@
   ///Checks if the graph is Eulerian
 
-  /// \ingroup graph_prop
+  /// \ingroup graph_properties
   ///Checks if the graph is Eulerian. It works for both directed and undirected
   ///graphs.
Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 584)
+++ lemon/graph_to_eps.h	(revision 559)
@@ -269,16 +269,20 @@
     ///\image html nodeshape_1.png
     ///\image latex nodeshape_1.eps "SQUARE shape (1)" width=2cm
+    ///
     SQUARE=1,
     /// = 2
     ///\image html nodeshape_2.png
     ///\image latex nodeshape_2.eps "DIAMOND shape (2)" width=2cm
+    ///
     DIAMOND=2,
     /// = 3
     ///\image html nodeshape_3.png
-    ///\image latex nodeshape_3.eps "MALE shape (3)" width=2cm
+    ///\image latex nodeshape_2.eps "MALE shape (4)" width=2cm
+    ///
     MALE=3,
     /// = 4
     ///\image html nodeshape_4.png
-    ///\image latex nodeshape_4.eps "FEMALE shape (4)" width=2cm
+    ///\image latex nodeshape_2.eps "FEMALE shape (4)" width=2cm
+    ///
     FEMALE=4
   };
Index: lemon/kruskal.h
===================================================================
--- lemon/kruskal.h	(revision 584)
+++ lemon/kruskal.h	(revision 440)
@@ -249,9 +249,9 @@
   /// \ingroup spantree
   ///
-  /// \brief Kruskal's algorithm for finding a minimum cost spanning tree of
+  /// \brief Kruskal algorithm to find a minimum cost spanning tree of
   /// a graph.
   ///
   /// This function runs Kruskal's algorithm to find a minimum cost
-  /// spanning tree of a graph.
+  /// spanning tree.
   /// Due to some C++ hacking, it accepts various input and output types.
   ///
@@ -265,7 +265,7 @@
   /// It can be one of the following choices.
   /// - An STL compatible 'Forward Container' with
-  /// <tt>std::pair<GR::Arc,C></tt> or
-  /// <tt>std::pair<GR::Edge,C></tt> as its <tt>value_type</tt>, where
-  /// \c C is the type of the costs. The pairs indicates the arcs/edges
+  /// <tt>std::pair<GR::Arc,X></tt> or
+  /// <tt>std::pair<GR::Edge,X></tt> as its <tt>value_type</tt>, where
+  /// \c X is the type of the costs. The pairs indicates the arcs/edges
   /// along with the assigned cost. <em>They must be in a
   /// cost-ascending order.</em>
@@ -274,6 +274,6 @@
   ///
   /// \retval out Here we also have a choice.
-  /// - It can be a writable arc/edge map with \c bool value type. After
-  /// running the algorithm it will contain the found minimum cost spanning
+  /// - It can be a writable \c bool arc/edge map. After running the
+  /// algorithm it will contain the found minimum cost spanning
   /// tree: the value of an arc/edge will be set to \c true if it belongs
   /// to the tree, otherwise it will be set to \c false. The value of
@@ -302,6 +302,6 @@
 
 #ifdef DOXYGEN
-  template <typename Graph, typename In, typename Out>
-  Value kruskal(const Graph& g, const In& in, Out& out)
+  template <class Graph, class In, class Out>
+  Value kruskal(GR const& g, const In& in, Out& out)
 #else
   template <class Graph, class In, class Out>
@@ -315,4 +315,6 @@
 
 
+
+
   template <class Graph, class In, class Out>
   inline typename _kruskal_bits::KruskalValueSelector<In>::Value
Index: lemon/lgf_reader.h
===================================================================
--- lemon/lgf_reader.h	(revision 584)
+++ lemon/lgf_reader.h	(revision 559)
@@ -594,5 +594,5 @@
   public:
 
-    /// \name Reading Rules
+    /// \name Reading rules
     /// @{
 
@@ -699,5 +699,5 @@
     /// @}
 
-    /// \name Select Section by Name
+    /// \name Select section by name
     /// @{
 
@@ -728,5 +728,5 @@
     /// @}
 
-    /// \name Using Previously Constructed Node or Arc Set
+    /// \name Using previously constructed node or arc set
     /// @{
 
@@ -1117,5 +1117,5 @@
   public:
 
-    /// \name Execution of the Reader
+    /// \name Execution of the reader
     /// @{
 
@@ -1390,5 +1390,5 @@
   public:
 
-    /// \name Reading Rules
+    /// \name Reading rules
     /// @{
 
@@ -1541,5 +1541,5 @@
     /// @}
 
-    /// \name Select Section by Name
+    /// \name Select section by name
     /// @{
 
@@ -1570,5 +1570,5 @@
     /// @}
 
-    /// \name Using Previously Constructed Node or Edge Set
+    /// \name Using previously constructed node or edge set
     /// @{
 
@@ -1960,5 +1960,5 @@
   public:
 
-    /// \name Execution of the Reader
+    /// \name Execution of the reader
     /// @{
 
@@ -2159,5 +2159,5 @@
   public:
 
-    /// \name Section Readers
+    /// \name Section readers
     /// @{
 
@@ -2258,5 +2258,5 @@
 
 
-    /// \name Execution of the Reader
+    /// \name Execution of the reader
     /// @{
 
@@ -2440,5 +2440,5 @@
 
 
-    /// \name Node Sections
+    /// \name Node sections
     /// @{
 
@@ -2466,5 +2466,5 @@
     /// @}
 
-    /// \name Arc/Edge Sections
+    /// \name Arc/Edge sections
     /// @{
 
@@ -2524,5 +2524,5 @@
     /// @}
 
-    /// \name Attribute Sections
+    /// \name Attribute sections
     /// @{
 
@@ -2550,5 +2550,5 @@
     /// @}
 
-    /// \name Extra Sections
+    /// \name Extra sections
     /// @{
 
@@ -2626,5 +2626,5 @@
   public:
 
-    /// \name Execution of the Contents Reader
+    /// \name Execution of the contents reader
     /// @{
 
Index: lemon/lgf_writer.h
===================================================================
--- lemon/lgf_writer.h	(revision 584)
+++ lemon/lgf_writer.h	(revision 559)
@@ -539,5 +539,5 @@
   public:
 
-    /// \name Writing Rules
+    /// \name Writing rules
     /// @{
 
@@ -642,5 +642,5 @@
     }
 
-    /// \name Section Captions
+    /// \name Section captions
     /// @{
 
@@ -669,5 +669,5 @@
     }
 
-    /// \name Skipping Section
+    /// \name Skipping section
     /// @{
 
@@ -886,5 +886,5 @@
   public:
 
-    /// \name Execution of the Writer
+    /// \name Execution of the writer
     /// @{
 
@@ -1107,5 +1107,5 @@
   public:
 
-    /// \name Writing Rules
+    /// \name Writing rules
     /// @{
 
@@ -1256,5 +1256,5 @@
     }
 
-    /// \name Section Captions
+    /// \name Section captions
     /// @{
 
@@ -1283,5 +1283,5 @@
     }
 
-    /// \name Skipping Section
+    /// \name Skipping section
     /// @{
 
@@ -1500,5 +1500,5 @@
   public:
 
-    /// \name Execution of the Writer
+    /// \name Execution of the writer
     /// @{
 
@@ -1652,5 +1652,5 @@
   public:
 
-    /// \name Section Writers
+    /// \name Section writers
     /// @{
 
@@ -1719,5 +1719,5 @@
 
 
-    /// \name Execution of the Writer
+    /// \name Execution of the writer
     /// @{
 
Index: lemon/lp_base.h
===================================================================
--- lemon/lp_base.h	(revision 584)
+++ lemon/lp_base.h	(revision 576)
@@ -53,10 +53,10 @@
     ///Possible outcomes of an LP solving procedure
     enum SolveExitStatus {
-      /// = 0. It means that the problem has been successfully solved: either
+      ///This means that the problem has been successfully solved: either
       ///an optimal solution has been found or infeasibility/unboundedness
       ///has been proved.
       SOLVED = 0,
-      /// = 1. Any other case (including the case when some user specified
-      ///limit has been exceeded).
+      ///Any other case (including the case when some user specified
+      ///limit has been exceeded)
       UNSOLVED = 1
     };
@@ -72,13 +72,13 @@
     ///Enum for \c messageLevel() parameter
     enum MessageLevel {
-      /// No output (default value).
+      /// no output (default value)
       MESSAGE_NOTHING,
-      /// Error messages only.
+      /// error messages only
       MESSAGE_ERROR,
-      /// Warnings.
+      /// warnings
       MESSAGE_WARNING,
-      /// Normal output.
+      /// normal output
       MESSAGE_NORMAL,
-      /// Verbose output.
+      /// verbose output
       MESSAGE_VERBOSE
     };
@@ -1006,5 +1006,5 @@
     const char* solverName() const {return _solverName();}
 
-    ///\name Build Up and Modify the LP
+    ///\name Build up and modify the LP
 
     ///@{
@@ -1789,13 +1789,13 @@
     /// The problem types for primal and dual problems
     enum ProblemType {
-      /// = 0. Feasible solution hasn't been found (but may exist).
+      ///Feasible solution hasn't been found (but may exist).
       UNDEFINED = 0,
-      /// = 1. The problem has no feasible solution.
+      ///The problem has no feasible solution
       INFEASIBLE = 1,
-      /// = 2. Feasible solution found.
+      ///Feasible solution found
       FEASIBLE = 2,
-      /// = 3. Optimal solution exists and found.
+      ///Optimal solution exists and found
       OPTIMAL = 3,
-      /// = 4. The cost function is unbounded.
+      ///The cost function is unbounded
       UNBOUNDED = 4
     };
@@ -1853,5 +1853,5 @@
     ///@}
 
-    ///\name Obtain the Solution
+    ///\name Obtain the solution
 
     ///@{
@@ -1975,14 +1975,15 @@
     /// The problem types for MIP problems
     enum ProblemType {
-      /// = 0. Feasible solution hasn't been found (but may exist).
+      ///Feasible solution hasn't been found (but may exist).
       UNDEFINED = 0,
-      /// = 1. The problem has no feasible solution.
+      ///The problem has no feasible solution
       INFEASIBLE = 1,
-      /// = 2. Feasible solution found.
+      ///Feasible solution found
       FEASIBLE = 2,
-      /// = 3. Optimal solution exists and found.
+      ///Optimal solution exists and found
       OPTIMAL = 3,
-      /// = 4. The cost function is unbounded.
-      ///The Mip or at least the relaxed problem is unbounded.
+      ///The cost function is unbounded
+      ///
+      ///The Mip or at least the relaxed problem is unbounded
       UNBOUNDED = 4
     };
@@ -2006,12 +2007,12 @@
     ///@}
 
-    ///\name Set Column Type
+    ///\name Setting column type
     ///@{
 
     ///Possible variable (column) types (e.g. real, integer, binary etc.)
     enum ColTypes {
-      /// = 0. Continuous variable (default).
+      ///Continuous variable (default)
       REAL = 0,
-      /// = 1. Integer variable.
+      ///Integer variable
       INTEGER = 1
     };
@@ -2034,5 +2035,5 @@
     ///@}
 
-    ///\name Obtain the Solution
+    ///\name Obtain the solution
 
     ///@{
Index: lemon/maps.h
===================================================================
--- lemon/maps.h	(revision 584)
+++ lemon/maps.h	(revision 572)
@@ -2729,6 +2729,6 @@
   /// \brief Potential difference map
   ///
-  /// PotentialDifferenceMap returns the difference between the potentials of
-  /// the source and target nodes of each arc in a digraph, i.e. it returns
+  /// PotentialMap returns the difference between the potentials of the
+  /// source and target nodes of each arc in a digraph, i.e. it returns
   /// \code
   ///   potential[gr.target(arc)] - potential[gr.source(arc)].
Index: lemon/min_cost_arborescence.h
===================================================================
--- lemon/min_cost_arborescence.h	(revision 584)
+++ lemon/min_cost_arborescence.h	(revision 581)
@@ -91,8 +91,8 @@
   /// \ingroup spantree
   ///
-  /// \brief Minimum Cost Arborescence algorithm class.
+  /// \brief %MinCostArborescence algorithm class.
   ///
   /// This class provides an efficient implementation of
-  /// Minimum Cost Arborescence algorithm. The arborescence is a tree
+  /// %MinCostArborescence algorithm. The arborescence is a tree
   /// which is directed from a given source node of the digraph. One or
   /// more sources should be given for the algorithm and it will calculate
@@ -391,5 +391,5 @@
   public:
 
-    /// \name Named Template Parameters
+    /// \name Named template parameters
 
     /// @{
@@ -631,5 +631,5 @@
     /// @}
 
-    /// \name Execution Control
+    /// \name Execution control
     /// The simplest way to execute the algorithm is to use
     /// one of the member functions called \c run(...). \n
Index: lemon/random.h
===================================================================
--- lemon/random.h	(revision 584)
+++ lemon/random.h	(revision 559)
@@ -660,5 +660,5 @@
     /// @}
 
-    ///\name Uniform Distributions
+    ///\name Uniform distributions
     ///
     /// @{
@@ -763,5 +763,5 @@
     /// @}
 
-    ///\name Non-uniform Distributions
+    ///\name Non-uniform distributions
     ///
     ///@{
@@ -939,5 +939,5 @@
     ///@}
 
-    ///\name Two Dimensional Distributions
+    ///\name Two dimensional distributions
     ///
     ///@{
Index: lemon/suurballe.h
===================================================================
--- lemon/suurballe.h	(revision 584)
+++ lemon/suurballe.h	(revision 559)
@@ -289,5 +289,5 @@
     }
 
-    /// \name Execution Control
+    /// \name Execution control
     /// The simplest way to execute the algorithm is to call the run()
     /// function.
Index: lemon/time_measure.h
===================================================================
--- lemon/time_measure.h	(revision 584)
+++ lemon/time_measure.h	(revision 548)
@@ -288,5 +288,5 @@
     Timer(bool run=true) :_running(run) {_reset();}
 
-    ///\name Control the State of the Timer
+    ///\name Control the state of the timer
     ///Basically a Timer can be either running or stopped,
     ///but it provides a bit finer control on the execution.
@@ -396,5 +396,5 @@
     ///@}
 
-    ///\name Query Functions for the Ellapsed Time
+    ///\name Query Functions for the ellapsed time
 
     ///@{
